CVE-2016-4522

Published on: 07/27/2016 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:26:57 PM UTC

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Certain versions of Factorytalk Energrymetrix from Rockwellautomation contain the following vulnerability:

SQL injection vulnerability in Rockwell Automation FactoryTalk EnergyMetrix before 2.20.00 allows remote attackers to execute arbitrary SQL commands via unspecified vectors.

  • CVE-2016-4522 has been assigned by [email protected] to track the vulnerability - currently rated as - currently rated as CRITICAL severity.

CVSS3 Score: 9.8 - CRITICAL

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 7.5 - HIGH

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
Rockwell Automation FactoryTalk EnergyMetrix Multiple Security Vulnerabilities cve.report (archive)
text/html
URL Logo BID 92135
Rockwell Automation FactoryTalk EnergyMetrix Vulnerabilities | ICS-CERT Third Party Advisory
US Government Resource
ics-cert.us-cert.gov
text/html
URL Logo MISC ics-cert.us-cert.gov/advisories/ICSA-16-173-03

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationRockwellautomationFactorytalk EnergrymetrixAllAllAllAll
  • cpe:2.3:a:rockwellautomation:factorytalk_energrymetrix:*:*:*:*:*:*:*:*: